Overview: 

Microsoft has rolled out Windows 10 20H1 on 27th May 2020 also known as Version 2004 (Vibranium) and codenamed "20H1”.

The R&D team has verified the compatibility of Seqrite Endpoint Security Cloud on Windows 10 20H1 [Version 2004] and there are no changes in the binaries for supporting Seqrite EPS Cloud on Windows 10 20H1 [Version 2004].

Support Matrix for Windows 10 20H1 [Version 2004] May 2020 update:

Windows type

10.2 Client

10.4 Client

Fresh Install Over Win 10 20H1

NA

Supported

Existing Users Upgraded to Win 10 20H1

Supported

Supported

Below are few FAQs which will help your understanding of the Support for Windows 10 20H1 [Version 2004]:


1. What versions of Seqrite Endpoint Security Cloud are supported on Windows 10 20H1?

Answer:

Seqrite Endpoint Security Cloud client having versions 10.2 & 10.4 with the latest VDB are supported on Windows 10 20H1.
System restart is recommended after taking the latest client updates before 20H1 [Version 2004] update or OS upgrade.


2. When does the  Seqrite Endpoint Security Cloud support for Windows 10 20H1 begin?

Answer:

Updates or build refresh is not required for 20H1 support, existing client can directly migrate to Windows 10 20H1.


3. Is ‘Clean install’ supported on Windows 10 20H1?

Answer:

Yes, a clean install is supported for Seqrite Endpoint Security Cloud clients.


4. Do we support the upgrade of the Windows system to Windows 10 20H1 with existing Seqrite Endpoint Security Cloud versions?

Answer:

Yes, Upgrade is supported.
Seqrite Endpoint Security Cloud 10.2 and 10.4 clients running on systems must take the latest updates and restarted and then should proceed for Windows upgrade to Win 10 20H1[Version 2004].


5. Are there any blogs published on the Seqrite website for confirming the support of Win 10 20H1?

Answer:

Yes. Link is as follows

https://www.seqrite.com/blog/seqrite-endpoint-security-cloud-supports-windows-10-may-2020-update-20h1-vibranium/


6. Limitations from the Seqrite Endpoint Security Cloud side, if any?

Answer: 

Yes, as below:
Seqrite Endpoint Security Cloud 10.2 below client versions are not supported on Win 10 20H1 [Version 2004].
Seqrite Endpoint Security Cloud 10.2 & 10.4 versions with latest VDB are supported for Win 10 20H1 [Version 2004].


Important points to be noted:
Users having older versions (below 10.2)  of Seqrite Endpoint Security Cloud client must upgrade to the latest version from UEM console.


7. Known issue(s) specific to Windows 10 20H1: None


Please contact Seqrite Technical Support for more assistance.